Update report assignment

Cortex XSIAM Platform APIs

post /public_api/v1/mth/child/report/update/assign

Assigns a user to an MTH/MDR report.

Validation Rules:

  • The user parameter is validated based on the tenant context; the username parameter is not validated
  • If the specified source_id is not found, a generic error response is returned.

Note

  • Users with Instance Administrator privileges only can access this API.
Authentication: Authorization Api Key "Authorization"
Authentication: x-xdr-auth-id Api Key "x-xdr-auth-id"
Request headers
Authorization String required

{api_key}

Example: YOUR_API_KEY_HERE
x-xdr-auth-id String required

{api_key_id}

Example: 241
CLIENT REQUEST
curl -X 'POST'
-H "Authorization: [[apiKey]]" \
-H "x-xdr-auth-id: [[apiKey]]" \
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: YOUR_API_KEY_HERE' -H 'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/v1/mth/child/report/update/assign'
-d '{ "xsoar_source_id" : "xsoar_source_id", "user" : "user", "username" : "username" }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}" headers = { 'Authorization': "REPLACE_KEY_VALUE", 'x-xdr-auth-id': "241", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/mth/child/report/update/assign", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/mth/child/report/update/assign") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["Authorization"] = 'REPLACE_KEY_VALUE' request["x-xdr-auth-id"] = '241' request["content-type"] = 'application/json' request.body = "{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "xsoar_source_id": "string", "user": "string", "username": "string" }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/mth/child/report/update/assign"); xhr.setRequestHeader("Authorization", "REPLACE_KEY_VALUE"); xhr.setRequestHeader("x-xdr-auth-id", "241"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/mth/child/report/update/assign") .header("Authorization", "REPLACE_KEY_VALUE") .header("x-xdr-auth-id", "241") .header("content-type", "application/json") .body("{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}") .asString();
import Foundation let headers = [ "Authorization": "REPLACE_KEY_VALUE", "x-xdr-auth-id": "241", "content-type": "application/json" ] let parameters = [ "xsoar_source_id": "string", "user": "string", "username": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/mth/child/report/update/assign")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/mth/child/report/update/assign", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}", CURLOPT_HTTPHEADER => [ "Authorization: REPLACE_KEY_VALUE", "content-type: application/json", "x-xdr-auth-id: 241" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/mth/child/report/update/assign"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: REPLACE_KEY_VALUE"); headers = curl_slist_append(headers, "x-xdr-auth-id: 241"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/mth/child/report/update/assign"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "REPLACE_KEY_VALUE"); request.AddHeader("x-xdr-auth-id", "241"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"xsoar_source_id\":\"string\",\"user\":\"string\",\"username\":\"string\"}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
xsoar_source_idstringrequired

The unique identifier of the report.

userstring

User identifier (email). This parameter is not validated.

usernamestring

Display name of the user.

REQUEST
{ "xsoar_source_id": "777774", "user": "analyst@company.com", "username": "Motti Analysto" }
Responses

Successful Response

Body
application/json
replyobject
successboolean

Indicates if the assignment was successful

xsoar_source_idstring

The source ID of the report

assigned_userstring

Email of the assigned user

RESPONSE
{ "reply": { "success": true, "xsoar_source_id": "777774", "assigned_user": "analyst@company.com" } }

Bad Request - Invalid parameters or missing required fields

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized - Invalid or missing API key

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Forbidden - Tenant not authorized for this endpoint

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Internal Server Error

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }